ConfigOption (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.ConfigOption class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Class ConfigOption

    java.lang.Object
      org.hyperic.util.config.ConfigOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ArrayConfigOption, ConfigValues, DirConfigOption, DoubleConfigOption, EnumerationConfigOption, InstallConfigOption, IntegerConfigOption, LongConfigOption, StringConfigOption

    public abstract class ConfigOption

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`ConfigOption()`
`ConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`abstract void` | `checkOptionIsValid(java.lang.String value)`
`ConfigOption` | `copy()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getConfirm()`
`java.lang.String` | `getDefault()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`protected InvalidOptionValueException` | `invalidOption(java.lang.String msg)`
`boolean` | `isOptional()`
`void` | `setCategory(java.lang.String category)`
`void` | `setConfirm(java.lang.String confirm)`
`void` | `setDefault(java.lang.String value)`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setOptional(boolean optional)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigOption

    public ConfigOption()

### ConfigOption

    public ConfigOption(java.lang.String optName,
                        java.lang.String optDesc,
                        java.lang.String defValue)

Method Detail

### copy

    public ConfigOption copy()
                      throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### checkOptionIsValid

    public abstract void checkOptionIsValid(java.lang.String value)
                                     throws InvalidOptionValueException

  Throws:
    `InvalidOptionValueException`

### invalidOption

    protected InvalidOptionValueException invalidOption(java.lang.String msg)

### setDefault

    public void setDefault(java.lang.String value)

### getDefault

    public java.lang.String getDefault()

### setOptional

    public void setOptional(boolean optional)

### isOptional

    public boolean isOptional()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### setCategory

    public void setCategory(java.lang.String category)

### getCategory

    public java.lang.String getCategory()

### getConfirm

    public java.lang.String getConfirm()

### setConfirm

    public void setConfirm(java.lang.String confirm)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.